/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ResourceTypeGitLabApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ResourceTypeGitLabApiTests : IDisposable
    {
        private ResourceTypeGitLabApi instance;

        public ResourceTypeGitLabApiTests()
        {
            instance = new ResourceTypeGitLabApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ResourceTypeGitLabApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ResourceTypeGitLabApi
            //Assert.IsType<ResourceTypeGitLabApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ResourceTypesGitlabOptions
        /// </summary>
        [Fact]
        public void ApiV2ResourceTypesGitlabOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2ResourceTypesGitlabOptions();
        }

        /// <summary>
        /// Test GetAllGitlabBranchesForProject
        /// </summary>
        [Fact]
        public void GetAllGitlabBranchesForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int gitlabProjectId = null;
            //string domain = null;
            //string accessToken = null;
            //var response = instance.GetAllGitlabBranchesForProject(gitlabProjectId, domain, accessToken);
            //Assert.IsType<GitlabBranchDtoIEnumerableResponse>(response);
        }

        /// <summary>
        /// Test GetAllGitlabProjects
        /// </summary>
        [Fact]
        public void GetAllGitlabProjectsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string domain = null;
            //string accessToken = null;
            //var response = instance.GetAllGitlabProjects(domain, accessToken);
            //Assert.IsType<GitlabProjectDtoIEnumerableResponse>(response);
        }

        /// <summary>
        /// Test GetGitlabProject
        /// </summary>
        [Fact]
        public void GetGitlabProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int gitlabProjectId = null;
            //string domain = null;
            //string accessToken = null;
            //var response = instance.GetGitlabProject(gitlabProjectId, domain, accessToken);
            //Assert.IsType<GitlabProjectDtoResponse>(response);
        }
    }
}
